---
layout: post
title: Federate all the things
description: Autonomic launches new Matrix server
image:
category: updates
date: 2020-07-13
---

# Federate all the things

The chat space is a mess. Between your proprietary behemoths such as Facebook Messenger, Slack and WhatsApp to centralised libre apps such as [Signal](https://signal.org/) and Telegram (which is not fully open source), there are way too many platforms to choose from.

So we decided to add another option :)

At Autonomic, we are fans of decentralisation and so we keep a close eye on developments in libre messaging space. We've tried them all. [XMPP](https://xmpp.org/), [Delta Chat](https://delta.chat/en/) and [Matrix](https://matrix.org/) and even more esoteric projects. While they all have their place, we have been really impressed with the Matrix project, especially after they introduced [end to end encryption by default](https://matrix.org/blog/2020/05/06/cross-signing-and-end-to-end-encryption-by-default-is-here) earlier this year.

Matrix is a federated protocol that could be used for a wide variety of uses but we are primarily seeing it being used for messaging. A Matrix server can be federated with all the other public Matrix servers and you can speak to anyone or join any room on any of these servers, just as they can join your public room. There are a [multitude of different apps](https://matrix.org/docs/projects/try-matrix-now) for every taste and a bunch of bridges into different networks such as [IRC](https://en.wikipedia.org/wiki/Internet_Relay_Chat) and pretty much all the apps we already mentioned. 

For a lot of our existing clients, group chat is an important part of their organisation. We have previously been deploying [RocketChat](https://rocket.chat/) which is fully featured team chat server that we think is even better than Slack. This works well for some, however we found that a whole RocketChat server was kind kind of overkill for small organisations. Sometimes they only needed one or two channels and perhaps they wanted a mixture of public and private channels and they don't need single-sign-on. 


